public static interface BraintreeEndpointBuilderFactory.BraintreeBuilders
| Modifier and Type | Method and Description |
|---|---|
default BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder |
braintree(String path)
Braintree (camel-braintree)
Process payments using Braintree Payments.
|
default BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder |
braintree(String componentName,
String path)
Braintree (camel-braintree)
Process payments using Braintree Payments.
|
default BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder braintree(String path)
braintree:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: ADDON, ADDRESS, CLIENTTOKEN,
CREDITCARDVERIFICATION, CUSTOMER, DISCOUNT, DISPUTE, DOCUMENTUPLOAD,
MERCHANTACCOUNT, PAYMENTMETHOD, PAYMENTMETHODNONCE, PLAN, REPORT,
SETTLEMENTBATCHSUMMARY, SUBSCRIPTION, TRANSACTION,
WEBHOOKNOTIFICATION
Path parameter: methodName
What sub operation to use for the selected operationpath - apiName/methodNamedefault BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder braintree(String componentName, String path)
braintree:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: ADDON, ADDRESS, CLIENTTOKEN,
CREDITCARDVERIFICATION, CUSTOMER, DISCOUNT, DISPUTE, DOCUMENTUPLOAD,
MERCHANTACCOUNT, PAYMENTMETHOD, PAYMENTMETHODNONCE, PLAN, REPORT,
SETTLEMENTBATCHSUMMARY, SUBSCRIPTION, TRANSACTION,
WEBHOOKNOTIFICATION
Path parameter: methodName
What sub operation to use for the selected operationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel